diff -Nur source/StatusCtrl.cpp source.patch/StatusCtrl.cpp
--- source/StatusCtrl.cpp	Mon Feb 28 12:48:46 2005
+++ source.patch/StatusCtrl.cpp	Mon Mar 14 16:40:20 2005
@@ -47,7 +47,6 @@
 {
 }
 
-
 BEGIN_MESSAGE_MAP(CStatusCtrl, CRichEditCtrl)
 	//{{AFX_MSG_MAP(CStatusCtrl)
 	ON_WM_ERASEBKGND()
@@ -184,7 +183,7 @@
 		Copy();
 }
 
-/* Unused Unicode code
+/* Unused Unicode code*/
 BOOL CStatusCtrl::Create(DWORD in_dwStyle,  const RECT& in_rcRect,
                              CWnd* in_pParentWnd, UINT in_nID)
 {
@@ -231,7 +230,7 @@
     }
     
     return l_pState->m_hInstRichEdit20 != NULL ;
-}*/
+}/**/
 
 int CStatusCtrl::OnCreate(LPCREATESTRUCT lpCreateStruct) 
 {
@@ -239,8 +238,12 @@
 		return -1;
 
 	USES_CONVERSION;
-	
+
+#ifdef _UNICODE
+	m_RTFHeader = "{\\rtf1\\ansi\\deff0\\ud";
+#else
 	m_RTFHeader = "{\\rtf1\\ansi\\deff0";
+#endif
 
 	HFONT hSysFont = (HFONT)GetStockObject(DEFAULT_GUI_FONT);
 
@@ -317,6 +320,27 @@
 	status.Replace(_T("\r"), _T(""));
 	status.Replace(_T("\n"), _T("\\status"));
 
+#ifdef _UNICODE
+	int len = status.GetLength();
+	int i;
+	CString ustatus = "\\uc0";
+	bool last_unicode = true;
+	for (i = 0; i < len; i++) {
+		wchar_t x;
+		char buf[20];
+
+		x = status[i];
+		if (x < 256) {
+			if (last_unicode) {
+				ustatus += "{";
+				ustatus += x;
+				ustatus += "}";
+			}
+			else
+				ustatus += x;
+			last_unicode = false;
+		}
+		else {
+			sprintf(buf, "\\u%d.", (signed short)x);
+			ustatus += buf;
+			last_unicode = true;
+		}
+	}
+	status = ustatus;
+#endif
+
 	CString stime;
 	if (timestamps)
 	{
@@ -501,7 +525,11 @@
 
 void CStatusCtrl::ChangeFont(void)
 {
+#ifdef _UNICODE
+	m_RTFHeader = "{\\rtf1\\ansi\\deff0\\ud";
+#else
 	m_RTFHeader = "{\\rtf1\\ansi\\deff0";
+#endif
 
 	HFONT hSysFont = (HFONT)GetStockObject(DEFAULT_GUI_FONT);
 
diff -Nur source/StatusCtrl.h source.patch/StatusCtrl.h
--- source/StatusCtrl.h	Wed Oct 27 16:20:12 2004
+++ source.patch/StatusCtrl.h	Mon Mar 14 15:10:01 2005
@@ -42,9 +42,9 @@
 	virtual ~CStatusCtrl();
 
 	void ShowStatus(CString status, int nType);
-
-//	virtual BOOL Create( DWORD in_dwStyle, const RECT& in_rcRect, 
-//                         CWnd* in_pParentWnd, UINT in_nID );
+/**/
+	virtual BOOL Create( DWORD in_dwStyle, const RECT& in_rcRect, 
+                         CWnd* in_pParentWnd, UINT in_nID );
 
 	// Generierte Nachrichtenzuordnungsfunktionen
 protected:
@@ -76,7 +76,7 @@
 	void ChangeFont(void);
 };
 
-/*class _AFX_RICHEDITEX_STATE
+/**/class _AFX_RICHEDITEX_STATE
 {
 public:
     _AFX_RICHEDITEX_STATE();
@@ -86,7 +86,7 @@
 };
 
 BOOL PASCAL AfxInitRichEditEx();
-*/
+/**/
 
 /////////////////////////////////////////////////////////////////////////////
 
